import { resolveComponent as r, createElementBlock as d, openBlock as u, createElementVNode as i, withDirectives as k, createCommentVNode as v, vModelCheckbox as x, toDisplayString as h, createVNode as p, withCtx as a, normalizeProps as C, guardReactiveProps as f, createTextVNode as q } from "vue";
const w = (t, e) => {
  const n = t.__vccOpts || t;
  for (const [l, s] of e)
    n[l] = s;
  return n;
}, V = {
  name: "QuestionCompactCheckbox",
  data() {
    return {
      checkVal: this.question.answer
    };
  },
  props: {
    question: Object
  },
  methods: {
    getId(t) {
      return this.question.name + "_" + t;
    },
    onAnswerChanged() {
      this.$emit("answerChanged", this.question.name, this.checkVal);
    }
  }
}, b = { class: "pa-0 ma-0" }, y = { class: "MultiInputRow" }, N = ["id"], A = { class: "question-hint" }, B = {
  key: 0,
  class: "question-hint"
};
function I(t, e, n, l, s, c) {
  const m = r("v-icon"), g = r("v-tooltip");
  return u(), d("div", null, [
    i("div", b, [
      i("div", y, [
        k(i("input", {
          type: "checkbox",
          name: "",
          id: c.getId("input"),
          onChange: e[0] || (e[0] = (...o) => c.onAnswerChanged && c.onAnswerChanged(...o)),
          "onUpdate:modelValue": e[1] || (e[1] = (o) => s.checkVal = o)
        }, null, 40, N), [
          [x, s.checkVal]
        ]),
        i("span", A, h(n.question.title), 1),
        n.question.hint ? (u(), d("span", B, [
          p(g, {
            location: "top",
            "max-width": "350px"
          }, {
            activator: a(({ props: o }) => [
              p(m, C(f(o)), {
                default: a(() => [
                  q("mdi-help-circle-outline")
                ]),
                _: 2
              }, 1040)
            ]),
            default: a(() => [
              i("span", null, h(n.question.hint), 1)
            ]),
            _: 1
          })
        ])) : v("", !0)
      ])
    ])
  ]);
}
const _ = /* @__PURE__ */ w(V, [["render", I]]), D = {
  install(t, e) {
    t.component("SingleCheckbox", _), e && (e.plugin = {
      questionType: "single-checkbox",
      component: _
    });
  }
};
export {
  D as default
};
//# sourceMappingURL=singleCheckboxPlugin.es.js.map
